# &develguide;

## Available Functions

### `mt_load_api(api)`

The function imports all API functions that are exported by the mtree module (see sections below).

Meaning of the parameters is as follows:

- mtree_api_t* api - mtree API

### `mt_match(msg, mtree, value, mode)`

Match 'value' against 'mtree' using 'mode' (see mt_match function Admin Guide documentation).

Meaning of the parameters is as follows:

- sip_msg_t *msg - SIP Request

- str *mtree - Name of mtree

- str *value - Value to match

- int mode - Match mode